var win = Titanium.UI.currentWindow;

var webView = Titanium.UI.createWebView({
	top:0,
	left:0,
	url:win.dataToPass
});


/**
 * Implementation of Button controllers for the webview
 */
var backButton = Titanium.UI.createButton({
	title:"Retroceder",
	bottom:12,
	left:12,
	opacity:.7,
	width:"35%",
	color:"#000"
});

var forwardButton = Titanium.UI.createButton({
	title:"Avançar",
	bottom:12,
	right:12,
	opacity:.7,
	width:"35%",
	color:"#000"
});

backButton.hide();
forwardButton.hide();

webView.addEventListener("load", function(e){
	if(webView.canGoBack()){
		backButton.show();
	}
	else {
		backButton.hide();
	}
	
	if(webView.canGoForward()){
		forwardButton.show();
	}
	else {
		forwardButton.hide();
	}
});

backButton.addEventListener("click", function(e){
	webView.goBack();
	//alert(webView.getUrl());
});

forwardButton.addEventListener("click", function(e){
	webView.goForward();
});
/* End of Implementation of Button controllers for the webview */

win.add(webView);
win.add(backButton);
win.add(forwardButton);
